//
//  mvwavfile.h
//  taglib
//
//  Created by Mark Verstraete on 3/9/13.
//
//

#ifndef __taglib__mvwavfile__
#define __taglib__mvwavfile__

#include <iostream>
#include "wavfile.h"

namespace TagLib {
    
    namespace RIFF {
        
        namespace  MVWAV {
            
            class TAGLIB_EXPORT File : public TagLib::RIFF::WAV::File
            {
            public:
                
                /*!
                 * Contructs an WAV file from \a file.  If \a readProperties is true the
                 * file's audio properties will also be read using \a propertiesStyle.  If
                 * false, \a propertiesStyle is ignored.
                 */
                File(FileName file, bool readProperties = true,
                     WAV::Properties::ReadStyle propertiesStyle = WAV::Properties::Average);
                
                
                /*!
                 * Removes the chunk \a name.
                 *
                 * \warning This will update the file immediately.
                 * \warning This removes all the chunks with the given name.
                 */
                void removeChunk(const ByteVector &name);
            };
        }
    }
}


#endif /* defined(__taglib__mvwavfile__) */
